searchNodes=[{"doc":"Helpers for building interactive command line interfaces.confirm/1 prompt asks the user for a yes or no answerchoice/2 prompt for asking the user to make a custom confirmation choiceselect/2 prompt the user to choose one of several optionstext/1 prompt for free form textpassword/1 prompt for a password or other info that needs to be hiddendisplay/1 displays text on the screentable/1 displays data in a simple ASCII table","ref":"Prompt.html","title":"Prompt","type":"behaviour"},{"doc":"Display a choice prompt with custom answers. Takes a keyword list of answers in the form of atom to return and string to display.[yes: &quot;y&quot;, no: &quot;n&quot;]will show &quot;(y/n)&quot; and return :yes or :no based on the choice.Available options:default_answer: the default answer. If default isn't passed, the first is the default.color: A color from the IO.ANSI moduleExamplesiex&gt; Prompt.choice(&quot;Save password?&quot;, [yes: &quot;y&quot;, no: &quot;n&quot;, regenerate: &quot;r&quot;}, default_answer: :regenerate) &quot;Save Password? (y/n/R):&quot; [enter] iex&gt; :regenerate","ref":"Prompt.html#choice/3","title":"Prompt.choice/3","type":"function"},{"doc":"Display a Y/n prompt.Sets 'Y' as the the default answer, allowing the user to just press the enter key. To make 'n' the default answer pass the option default_answer: :noAvailable options:color: A color from the IO.ANSI moduledefault_answer: :yes or :noExamplesiex&gt; Prompt.confirm(&quot;Send the email?&quot;) &quot;Send the email? (Y/n):&quot; Y iex&gt; :yes iex&gt; Prompt.confirm(&quot;Send the email?&quot;, default_answer: :no) &quot;Send the email? (y/N):&quot; [enter] iex&gt; :no","ref":"Prompt.html#confirm/2","title":"Prompt.confirm/2","type":"function"},{"doc":"Writes text to the screen.Takes a single string argument or a list of strings where each item in the list will be diplayed on a new line.Available options:color: A color from the IO.ANSI moduletrim: true | false --- Defaults to false (will put a at the end of the textposition: :left | :right --- Print the content starting from the leftmost position or the rightmost positionmask_line: true | false --- Prompts the user to press enter and afterwards masks the line just printedthe main use case here is a password that you may want to show the user but hide after the user has a chance to write it down, or copy it.Examplesiex&gt; Prompt.display(&quot;Hello from the terminal!&quot;) &quot;Hello from the terminal!&quot; iex&gt; Prompt.display([&quot;Hello&quot;, &quot;from&quot;, &quot;the&quot;, &quot;terminal&quot;]) &quot;Hello&quot; &quot;from&quot; &quot;the&quot; &quot;terminal&quot;","ref":"Prompt.html#display/2","title":"Prompt.display/2","type":"function"},{"doc":"","ref":"Prompt.html#c:init/2","title":"Prompt.init/2","type":"callback"},{"doc":"Prompt the user for input, but conceal the users typing.Available options:color: A color from the IO.ANSI moduleExamplesiex&gt; Prompt.password(&quot;Enter your passsword&quot;) &quot;Enter your password:&quot; iex&gt; &quot;super_secret_passphrase&quot;","ref":"Prompt.html#password/2","title":"Prompt.password/2","type":"function"},{"doc":"","ref":"Prompt.html#c:process/1","title":"Prompt.process/1","type":"callback"},{"doc":"Displays options to the user denoted by numbers.Allows for a list of 2 tuples where the first value is what is displayed and the second value is what is returned to the caller.Available options:color: A color from the IO.ANSI moduleExamplesiex&gt; Prompt.select(&quot;Choose One&quot;, [&quot;Choice A&quot;, &quot;Choice B&quot;]) &quot; [1] Choice A&quot; &quot; [2] Choice B&quot; &quot;Choose One [1-2]:&quot; 1 iex&gt; &quot;Choice A&quot; iex&gt; Prompt.select(&quot;Choose One&quot;, [{&quot;Choice A&quot;, 1000}, {&quot;Choice B&quot;, 1001}]) &quot; [1] Choice A&quot; &quot; [2] Choice B&quot; &quot;Choose One [1-2]:&quot; 2 iex&gt; 1001","ref":"Prompt.html#select/3","title":"Prompt.select/3","type":"function"},{"doc":"Print an ASCII table of data. Requires a list of lists as input.Available Optionsheader: true | false (default) --- use the first element as a header of the tableTODO: title: &quot;TITLE&quot; --- Create a title for the tableTODO: border: :normalTODO: borer_color:Examplesiex&gt; Prompt.table([[&quot;Hello&quot;, &quot;from&quot;, &quot;the&quot;, &quot;terminal!&quot;],[&quot;this&quot;, &quot;is&quot;, &quot;another&quot;, &quot;row&quot;]]) &quot; +-------+------+---------+----------+ | Hello | from | the | terminal | | this | is | another | row | +-------+------+---------+----------+ &quot; iex&gt; Prompt.table([[&quot;One&quot;, &quot;Two&quot;, &quot;Three&quot;, &quot;Four&quot;], [&quot;Hello&quot;, &quot;from&quot;, &quot;the&quot;, &quot;terminal!&quot;],[&quot;this&quot;, &quot;is&quot;, &quot;another&quot;, &quot;row&quot;]], header: true) &quot; +-------+------+---------+----------+ | One | Two | Three | Four | +-------+------+---------+----------+ | Hello | from | the | terminal | | this | is | another | row | +-------+------+---------+----------+ &quot; iex&gt; Prompt.table([[&quot;Hello&quot;, &quot;from&quot;, &quot;the&quot;, &quot;terminal!&quot;],[&quot;this&quot;, &quot;is&quot;, &quot;another&quot;, &quot;row&quot;]], title: &quot;MY TABLE&quot;) &quot; +MY TABLE------+---------+----------+ | Hello | from | the | terminal | | this | is | another | row | +-------+------+---------+----------+ &quot;","ref":"Prompt.html#table/2","title":"Prompt.table/2","type":"function"},{"doc":"Display text on the screen and wait for the users text imput.Available options:color: A color from the IO.ANSI moduleExamplesiex&gt; Prompt.text(&quot;Enter your email&quot;) &quot;Enter your email:&quot; t@t.com iex&gt; t@t.com","ref":"Prompt.html#text/2","title":"Prompt.text/2","type":"function"},{"doc":"Helps users define and build command line commands.Defines the behaviour for a Command.We expect init/1 to be called with the command line options and get back a data structure that is passed to parse/1 which handles all of the side effects of the command itself.Exampledefmodule MyCommand do @moduledoc &quot;MyCommand&#39;s help message help() is defined in the __using__ macro that prints this message if called&quot; use Prompt.Command @impl true def init(args) do # parse list of args to map or struct %{list: true, help: false, directory: &quot;path/to/dir&quot;} end @impl true def process(%{help: true}), do: help() # this help function is defined by default in the macro that prints the @moduledoc when called def process(%{list: true, help: false, directory: dir}) do display(File.ls!(dir)) end endTypically one will use the OptionParser.parse/1 function to parse the commanddefp parse(argv) do argv |&gt; OptionParser.parse( strict: [help: :boolean, directory: :string, list: :boolean], aliases: [h: :help, d: :directory] ) |&gt; _parse() end defp _parse({opts, _, _}) do help = Keyword.get(opts, :help, false) dir = Keyword.get(opts, :directory, &quot;./&quot;) list = Keyword.get(opts, :length, true) %{help: help, directory: dir, list: list} endIf this is used in a release, help() won't print the @moduledoc correctly because releases strip documentation by default. For this to work correctly, tell the release to keep docs:releases: [ appname: [ strip_beams: [keep: [&quot;Docs&quot;]] ] ]","ref":"Prompt.Command.html","title":"Prompt.Command","type":"behaviour"},{"doc":"Prints the help available for this command","ref":"Prompt.Command.html#c:help/0","title":"Prompt.Command.help/0","type":"callback"},{"doc":"Takes the options passed in via the command line and tramforms them into a struct that the process command can handle","ref":"Prompt.Command.html#c:init/1","title":"Prompt.Command.init/1","type":"callback"},{"doc":"Processes the command and does the things required","ref":"Prompt.Command.html#c:process/1","title":"Prompt.Command.process/1","type":"callback"},{"doc":"Manipulate the position of the cursor and the display of previous text.","ref":"Prompt.Position.html","title":"Prompt.Position","type":"module"},{"doc":"Clears the content from the previous number of lines and resets the cursor.","ref":"Prompt.Position.html#clear_lines/1","title":"Prompt.Position.clear_lines/1","type":"function"},{"doc":"Mask the content on the terminal relative_line above. By default will clear the line and put ####### in its place then move the cursor back to the current line.","ref":"Prompt.Position.html#mask_line/1","title":"Prompt.Position.mask_line/1","type":"function"},{"doc":"STILL A WORK IN PROGRESSEasily build interactive CLI's in Elixir.","ref":"readme.html","title":"README","type":"extras"},{"doc":"Add prompt to your list of dependencies in mix.exs:def deps do [ {:prompt, &quot;~&gt; 0.x.x&quot;} ] endRead the documentation","ref":"readme.html#installation","title":"README - Installation","type":"extras"},{"doc":"Ask the user for confirmationPrompt.confirm(&quot;Are you sure?&quot;)Will display:&gt; Are you sure? (Y/n):and will allow the user to just press [enter] to confirmIf you'd prefer n to be the default pass the default_answer optionPrompt.confirm(&quot;Are you sure?&quot;, default_answer: :no)Returns :yes or :no based on the answerCustom confirmation choicesSometimes yes/no aren't the only choices a user can make, this method allows you to pass any choices as the confirmation.Prompt.choice(&quot;Accept, Reload or Cancel&quot;, accept: &quot;a&quot;, reload: &quot;r&quot;, cancel: &quot;c&quot;)displays&gt; Accept, Reload or Cancel (A/r/c):Returns the key of the answer i.e :accept, :reload or cancel in this exammpleList of selectionsTo show the user a list of options to select fromPrompt.select(&quot;Choose a protocol&quot;, [&quot;file://&quot;, &quot;ssh://&quot;, &quot;ftp://&quot;])Displays: [1] file:// [2] ssh:// [3] ftp:// &gt; Choose a protocol [1-3]:and returns a string of their choice","ref":"readme.html#basic-usage","title":"README - Basic Usage","type":"extras"}]